[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIndexDef.Destroy

Remove the index from memory

## Declaration

Source position: db.pas line 988

`public destructor TIndexDef.Destroy; override;`

## Description

Destroy calls the inherited destructor, and removes the item from memory.

## See also

TIndexDef.Create |  | Create a new index definition

The latest version of this document can be found at lazarus-ccr.sourceforge.net .